/*
 * Analogue TV Player plugin for VDR
 *
 * Copyright (C) 2003, 2005 Andreas Kool <akool@gmx.de>
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 *
 * Version: $Id: status.h,v 1.5 2005/01/09 18:16:09 akool Exp $
 * Release: $Name:  $
 *
 */

#ifndef STATUS_H
#define STATUS_H

#include <vdr/status.h>

class cAnalogtvStatus : public cStatus {
public:
  void AnalogtvStatus();
protected:
  virtual void Recording(const cDevice *Device, const char *Name);
  virtual void Replaying(const cControl *Control, const char *Name);
  virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);
};
#endif // STATUS_H
